class SavedMove
{
  // Time since last action
  int intended_millis;
  int starting_millis;
  
  // Intended move
  int row, column, chord;
  
  Alarm myAlarm;
  
  boolean initialized;
  boolean ready;
  
  
  SavedMove(int row_, int column_, int chord_, int intended_millis_)
  {
    intended_millis = intended_millis_;
    
    row = row_;
    column = column_;
    chord = chord_;
    
    starting_millis = millis();
    
    initialized = false;
    
    ready = false;
  }
  
  
  void update() {
    if (initialized == false) {
      starting_millis = millis();
      initialized = true;
    }
    
    if (millis() - starting_millis > intended_millis) {
      ready = true;
    }
  }
}
